Bug 823157 - octave subplot holding problem with legend used
octave subplot holding problem with legend used
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 10:43 EDT by Alick Zhao
Modified: 2016-01-31 20:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 19:07:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
m script to trigger the bug (436 bytes, text/x-objcsrc)
2012-05-19 10:43 EDT, Alick Zhao
no flags Details

  None (edit)
Description Alick Zhao 2012-05-19 10:43:30 EDT
Created attachment 585582 [details]
m script to trigger the bug

Description of problem:
When using octave, I find that plotting after legend specified in subplot with hold on does not work as expected/normal. Following is a test script to reproduce the problem.

Version-Release number of selected component (if applicable):
octave-3.4.3-1.fc16

How reproducible:
Always

Steps to Reproduce:
1. run the script legend_bug.m attached below. E.g.
   $ octave legend_bug.m
2. check the output figure bug.eps (with Evince for example)
   $ evince bug.eps
  
Actual results:
You can find that the left subfig has legend on and only one point plotted, and the right subfig has no legend but two points plotted.

Expected results:
I expect the normal behavior should be: the left subfig also has two points plotted, since 'hold on' is specified. legend() should not erase old plots.

Additional info:
I test with the script on Matlab, and it gives expected result.
I do not know if this is an upstream bug (that might be fixed already?) or
Fedora related.
Comment 1 Fedora End Of Life 2013-01-16 12:06:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2013-01-29 10:27:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Alick Zhao 2013-01-29 10:53:11 EST
The bug also exists on Fedora 18 with Octave 3.6.3. Guess I need to report to upstream directly?
Comment 4 Orion Poplawski 2013-01-29 11:05:28 EST
That is always a good idea.
Comment 5 Alick Zhao 2013-02-09 04:32:07 EST
Seems like this one http://savannah.gnu.org/bugs/?func=detailitem&item_id=37499. I'll check as soon as I get access to my machine with latest Octave build.
Comment 6 Alick Zhao 2013-02-18 04:30:02 EST
I can confirm that it is fixed in upstream already. Will it be included in Fedora 18 updates? The fix (http://hg.savannah.gnu.org/hgweb/octave/rev/623cce4577b3) seems quite small and straightforward.
Comment 7 Orion Poplawski 2013-02-18 15:40:19 EST
3.6.4 will be pushed to F18 as soon as it is released, which should be soon.
Comment 8 Fedora Update System 2013-02-24 16:02:46 EST
octave-3.6.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/octave-3.6.4-1.fc18
Comment 9 Fedora Update System 2013-02-25 21:52:24 EST
Package octave-3.6.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing octave-3.6.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3064/octave-3.6.4-1.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-03-07 19:07:20 EST
octave-3.6.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.